> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a bank account

> Permanently deletes a bank account. Returns 409 Conflict if the bank account has linked data streams.



## OpenAPI

````yaml /openapi.json delete /bank_accounts/{id}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /bank_accounts/{id}:
    delete:
      summary: Delete a bank account
      description: >-
        Permanently deletes a bank account. Returns 409 Conflict if the bank
        account has linked data streams.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier of the bank account
      responses:
        '204':
          description: Bank account deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Bank account not found
        '409':
          description: Cannot delete bank account because it has linked data streams
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````